import request from '@/utils/request'

// 查询运营加盟列表
export function listAreaJoin(query) {
  return request({
    url: '/bst/areaJoin/list',
    method: 'get',
    params: query
  })
}

// 查询运营加盟详细
export function getAreaJoin(id) {
  return request({
    url: '/bst/areaJoin/' + id,
    method: 'get'
  })
}

// 新增运营加盟
export function addAreaJoin(data) {
  return request({
    url: '/bst/areaJoin',
    method: 'post',
    data: data
  })
}

// 修改运营加盟
export function updateAreaJoin(data) {
  return request({
    url: '/bst/areaJoin',
    method: 'put',
    data: data
  })
}

// 删除运营加盟
export function delAreaJoin(id) {
  return request({
    url: '/bst/areaJoin/' + id,
    method: 'delete'
  })
}
